SQLITE3_CONTEXT(3)

NAME
sqlite3_context - SQL Function Context Object

SYNOPSIS
#include <sqlite.h>
typedef struct sqlite3_context sqlite3_context;

DESCRIPTION
The context in which an SQL function executes is stored in an sqlite3_context object. A pointer to an sqlite3_context object is always first parameter to application-defined SQL functions. The application-defined SQL function implementation will pass this pointer through into calls to sqlite3_result(), sqlite3_aggregate_context(), sqlite3_user_data(), sqlite3_context_db_handle(), sqlite3_get_auxdata(), and/or sqlite3_set_auxdata().

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 3961.

    typedef struct sqlite3_context sqlite3_context;

SEE ALSO
sqlite3_create_function(3), sqlite3_aggregate_context(3), sqlite3_context_db_handle(3), sqlite3_get_auxdata(3), sqlite3_result_blob(3), sqlite3_get_auxdata(3), sqlite3_user_data(3)